$packageParameters = $env:chocolateyPackageParameters

$location = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

Install-ChocolateyZipPackage `
    -PackageName 'vim-console' `
    -UnzipLocation $location `
    -Url "https://ftp.nluug.nl/pub/vim/pc/vim82rt.zip" `
    -ChecksumType "sha256" `
    -Checksum "1B9824470A813BA0D0FAC26E59879BA8976C219334616212FB83A945EDFDC2E4" #`
#    -SpecificFolder "vim/vim82/" `

Install-ChocolateyZipPackage `
    -PackageName 'vim-console' `
    -UnzipLocation $location `
    -Url "https://ftp.nluug.nl/pub/vim/pc/vim82w32.zip" `
    -ChecksumType "sha256" `
    -Checksum "4F180401861C14083BAA46DC8FDB4326C9454392F66DE2FC115966D3B00D8501" #`
#    -SpecificFolder "vim/vim82/" `


$files = get-childitem $location -include *.exe -recurse
foreach ($file in $files)
{
    if (!($file.Name.Contains("vim.exe")))
    {
        #generate an ignore file
        New-Item "$file.ignore" -type file -force | Out-Null
    }
}
